import { FC } from "react";
import BaseMarketplaceType from "@/modules/dealModularEditorTabs/FulfillmentBase/shared/types/baseMarketplaceType";
import OzonInputs from "./components/OzonInputs";
import WildberriesInputs from "./components/WildberriesInputs";
import YandexMarketInputs from "./components/YandexMarketInputs";
import MpAuthDataInputProps from "./types/MpAuthDataInputProps";

const MarketplaceAuthDataInput: FC<MpAuthDataInputProps> = props => {
    switch (props.baseMarketplace.id) {
        case BaseMarketplaceType.WILDBERRIES:
            return <WildberriesInputs {...props} />;
        case BaseMarketplaceType.OZON:
            return <OzonInputs {...props} />;
        case BaseMarketplaceType.YANDEX_MARKET:
            return <YandexMarketInputs {...props} />;
        default:
            return <></>;
    }
};

export default MarketplaceAuthDataInput;
